package net.rutles.mymenu;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.EditText;

public class MyMenu extends Activity {

	EditText editText;

	/** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);

        editText = (EditText) findViewById(R.id.EditText01);
    }
	public boolean onCreateOptionsMenu(Menu menu){
		super.onCreateOptionsMenu(menu);
		getMenuInflater().inflate(R.menu.menu, menu);
		return true;
	}

	public boolean onPrepareOptionsMenu(Menu menu) {
		super.onPrepareOptionsMenu(menu);

		boolean condition = (editText.getText().length() != 0);
		menu.findItem(R.id.item01).setEnabled(condition);
		menu.findItem(R.id.item03).setEnabled(condition);
		menu.findItem(R.id.item04).setEnabled(condition);

		return true;
	}

	public boolean onOptionsItemSelected(MenuItem item) {
		if(item.isCheckable())
			item.setChecked(!item.isChecked());
		switch(item.getItemId()){
			case R.id.item04:
				editText.setTextSize(
						editText.getTextSize() + 2);
				break;
			case R.id.item05:
				finish();
				break;
			case R.id.item01:
			case R.id.item02:
			case R.id.item03:
			case R.id.item06:
			case R.id.item07:
			case R.id.item08:
				break;
			default:
				break;
		}
		return super.onOptionsItemSelected(item);
	}
}